RankHub

API 目前处于 Early Preview 阶段, 可能存在诸多不完善与错误之处,欢迎加群交流反馈:加入官方交流群(1073434398)

列出档案

GET
/v1/games/{game}/profiles

只返回当前用户在该游戏下未解绑的档案;游标分页。

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

game*string

游戏键(小写)

Value in"maimai""chunithm""arcaea""phigros""milthm""notanote""musedash""rizline""osu""orzmic"

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
cursor?string

上一页的 nextCursor(不透明)

Lengthlength <= 256

Response Body

档案列表

application/json
  1. response
code*string
message*string
description?string
data*
requestId*string
Example Request
curl -X GET 'https://api.rankhub.cc/v1/games/maimai/profiles'
Example Response
{  "code": "string",  "message": "string",  "description": "string",  "data": {    "items": [      {        "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",        "game": "maimai",        "player": {          "name": "string",          "rating": 0,          "native": {}        },        "isPublic": true,        "origin": "user",        "createdByClientId": "string",        "syncCapable": true,        "lastSyncedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "nextCursor": "string",    "hasMore": true  },  "requestId": "string"}